/**
 *	Tutorial code by Matthieu Savary
 *	as featured on http://smallab.org/download/40/
 *	
 *	Made for http://craslab.org
 *	Distributed freely, for free, and with love
 *	Under the BSD License
 *	
 *	For Processing 2.0.1 and (hopefully) later
 *	
 */

// our method AKA function for drawing our sentence
// using two entwinned for loops
void drawTextPattern(int iterX, int iterY) {
  // text color is black with 50% alpha
  fill(0, 50);
  // font size is a global variable
  textSize(myFontSize);
  // the for loops
  for (int i=0; i<iterX; i++) {
    for (int j=0; j<iterY; j++) {
      // opacity varies accordingly to a combination of i and j
      fill(255, 100/(j+i+1));
	  // mouse position is used to play interactively
	  // with caracter density in the pattern
      text(mySentence, i*mouseX/10, j*mouseY/10);
    }
  }
}
